{
  "criteria": {
    "consume_item": {
      "trigger": "minecraft:inventory_changed",
      "conditions": {
        "items": [
          {
            "predicates": {
              "custom_data": {
                "or_requires_tongs": true
              }
            }
          }
        ],
        "player": [
          {
            "condition": "inverted",
            "term": {
              "condition": "entity_properties",
              "entity": "this",
              "predicate": {
                "slots": {
                  "weapon.*": {
                    "predicates": {
                      "custom_data": {
                        "or_is_tongs": true
                      }
                    }
                  }
                }
              }
            }
          }
        ]
      }
    }
  },
  "requirements": [
    [
      "consume_item"
    ]
  ],
  "rewards": {
    "function": "overly_realistic:players/items/requires_tongs/inventory_update"
  }
}